commit 16816e99bacbd8dfc51a2deba541a72fb27f156a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 20:02:50 2012 -0700

    xf86-video-trident 1.3.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2267e83d794b916132db0411c642f7b212615f07
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:36:57 2011 -0500

    Fix for new vgaHW ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2f87fa6ddebacb03bbd3a8ca3177ce16912d0f2c
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:36:36 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6afbfaf62a2d049fcf289b1dbf32018fd7fdea1c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Nov 1 20:33:48 2011 -0700

    Dead code removal
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 343fc2a2b98ca9e93c031b7f7c3378563699b394
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 20:07:56 2011 -0700

    Disable PC98 code on newer servers
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b20007d04b9198188fd214d3ed7d850dd613bc97
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:56:32 2011 -0700

    Use uint32_t instead of deprecated PCITAG
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit da09f04b6d7da1ca10ce9d20a00d8ac9f2c0adb7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:55:17 2011 -0700

    Build fix for ABI Version 12
    
    ABI Version 12 removes support for multiple PCI domains.  If you need to
    use this driver on a system with more than one PCI domain, you should
    either port this driver to using libpciaccess directly or stick with an
    older server.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0bd545e1301d55c5874484f2a4a7952b6eca48c0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:52:09 2011 -0700

    Use unsigned long rather than deprecated IOADDRESS
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit de79bbea800f75b3c9ff13cd38450d32a24da5b7
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Fri Oct 22 21:05:08 2010 -0400

    Update xf86dgastr.h include.
    
    Reviewed-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ea4552f158f6f8f30045b934feffd303260f3197
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Fri Oct 22 21:04:53 2010 -0400

    Convert x+m/calloc/free to m/calloc/free.
    
    Reviewed-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4334153785449d4c0c1e7daca6030c9847f7343f
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:52 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30a00b13dc0dd2f6f07269b0e9116b78b290c109
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 842b0be89bf466a7d8fb20aff3f72cb213ba7f7e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f782f14b2a8952e9b314662bd749237f96fcb677
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:42 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9efe436169c158f8ba8bc81ba59edd9d17beedf8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 644e1b0dd2e40f59125aab506cd07aa0cb1e5235
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7b6fa53fc713d0966810afce530897b65456a4c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8b8c3e5731b3347ebc7af6bf7016de884f6b21cb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 54d16a46f2381deb05c73a5356f5e77f008ad91e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9a48f395cde9551ee231171436a6eda82575ae56
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 13be9ab4c85dc2a8b2dc7c93df65d50413073041
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:30 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit b5d17329ae1746bc95ac211c1325df86982e0eb1
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 5 14:32:39 2010 +1000

    trident 1.3.4

commit ea2f02a84ad5a51a39c0ae55fa5aa785360d3830
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 12:34:21 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cb7949bf5a4e99755677ce5df09f2e977a47da71
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:05:31 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c5ec01e6786280717675d3841d85337645b15753
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1331623dbee4fbfa36188a4460a95bed4128f11e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 13:08:51 2009 -0500

    Make banking support properly conditional on ISA support
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d6f5105ff4bab91a2af4cf5655b88ff27cba74bd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:06 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 3809fea7739b8639d855d790686c2b1eb1b91898
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit 781094dd862b209022bb2f8cdf394e3479ab28c6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 11775de5025c32b65551497cb7fbb7040be9c314
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:22 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 7401cbd387631e2678bbdfdfcc4e30e5a0ecd4c8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit f688b70c64ceed3704db2510a17561524a3b6ef8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 7 11:12:13 2009 -0400

    xf86-video-trident: Remove unused .cvsignore file #23776
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 33fc86bade1c638300f1b17236cb0b0a492ac6d0
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Aug 5 10:26:35 2009 +1000

    bump to 1.3.3 for release

commit 3008fa244f8fdf8bf3306dd8c3b781221885ec1b
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:41 2009 +1000

    trident: change to using ABI version check

commit 314cb60172135abb5efe40fd0a0e6837f2662780
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:39 2009 +1000

    trident: update for resources/RAC API removal

commit 6ef2f6e2e7628311e25d2fe35452372cd03bfb57
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:57:17 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 51d9968f5084f3c38c7459d2e0a1c28d355cbae2
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 2 11:51:05 2009 -0400

    trident 1.3.2

commit 5f638c14ebda6473dea664b3730844ae9792933e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:22:59 2009 -0400

    Remove useless loader symbol lists.

commit d0e17d0a40c771ae484252ab6a1c093a60bddaa7
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Feb 27 10:58:07 2009 -0500

    Revert "Build fix: set EXA_DRIVER_KNOWN_MAJOR=3"
    
    This reverts commit b951fe81bb976704be716251a4925086f2c70013.
    The EXA developers have backed out this ABI bump.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit b951fe81bb976704be716251a4925086f2c70013
Author: Chris Ball <cjb@laptop.org>
Date:   Wed Feb 25 13:00:12 2009 -0500

    Build fix: set EXA_DRIVER_KNOWN_MAJOR=3
    
    EXA in server HEAD requires this now. Since this driver doesn't use
    {Prepare,Finish}Access or UploadToScratch, the change is safe.
    
    Remove unused {Prepare,Finish}Access empty functions.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 4152c64a22e81a8f2e2d91507493c422aac301a3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 21:04:56 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 52286f1c9c543d6e8105192dc4914fa6f934bf60
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:37:18 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit a4ae6379a5725e77837201bf1dc735124f7dc368
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Dec 22 13:59:29 2008 +1000

    trident 1.3.1

commit 34915ef8969596f2aca4700c02a08959b916ed1f
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Nov 28 01:01:32 2008 -0200

    Correct macro IsPrimaryCard to check HAVE_ISA.

commit 73cbaec34866524deab838d04876408bbc93a102
Author: Adam Jackson <ajax@redhat.com>
Date:   Sun Nov 23 17:30:45 2008 -0500

    Make ISA optional

commit 7119ae2424d7fea8eb67586be4ea9982000dcc3a
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Aug 15 14:08:10 2008 -0400

    Uninclude xf86Version.h

commit a1cd2244b7457189630fab8be1532272e8eb7d64
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Jun 6 14:47:14 2008 +0200

    Link with -lm for sin()

commit ac4bce50754528efbf55daa87dd4992ac70c4af2
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:42:53 2008 -0400

    trident 1.3.0

commit 012794d5aa4cf862f7d5b83d744acc2d5a13bf52
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:41:46 2008 -0400

    Fix distcheck

commit 6e64c2a2d8bfc9cf3daf5f0df430ede5a5d0d7fb
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:40:11 2008 -0400

    Death to RCS tags.

commit 8419334ee64c977870194a651e2c5f05b6e89fa4
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:01:45 2008 +0100

    Makefile.am: nuke RCS Id

commit a34c4ca7e1e8f2734aa443c0d597840f970e0eef
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Feb 18 16:51:10 2008 +1000

    initial trident pciaccess support

commit 707a7c779c6859761c1b895b397239a36abef4c6
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Sun Feb 10 21:12:33 2008 +0000

    bump to 1.2.4

commit 6e204c6f73ccf262cb9f1eaa68af9d4c86321bd8
Author: Kostas Georgiou <hannibal@astral.lodz.pl>
Date:   Sun Feb 10 21:11:01 2008 +0000

    Don't set VID_DOUBLE_LINEBUFFER_FOR_WIDE_SRC for XP4

commit 8e8eafa82c66873fcc0f159b56fd638c03304a6d
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Sun Jan 6 20:26:13 2008 +0000

    Fix typo

commit 61a0dcfa57702fbe4d2a1832a014ce9bc5ddfc89
Author: Jan Darmochwal <jdarmochwal@gmx.de>
Date:   Sun Jan 6 20:23:58 2008 +0000

    Turn on colour key for XP4

commit 1a6bbe36a7f91d90e39251ba7759f3db5b6d4d24
Author: Brice Goglin <bgoglin@debian.org>
Date:   Tue Aug 7 11:53:13 2007 +0200

    TRIDENT_*_VERSION using PACKAGE_VERSION_*

commit 03a15e04753620b39d4c9305fb2abaed82a4315f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jan 10 13:51:16 2007 -0800

    renamed: .cvsignore -> .gitignore

commit 35e244f1907af6ab40b4ac1334ea4834c5002960
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jan 10 13:50:50 2007 -0800

    Delete tridentramdac.c since all functions inside are unused

commit 3d08f373272f5762e648e07114661bb9d2f0d768
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Fri Dec 1 11:12:02 2006 +0000

    Fix PC98 systems with WAITFORVSYNC
    Bug #5325

commit aff5750bcb09806cd5b0e570dacb60be391a463d
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Fri Dec 1 11:03:28 2006 +0000

    Add doublescan support (not tested on all chipsets).
    Bug #5173

commit ea28fcfa41b5583f2bff548562f37e33a1bb4890
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Fri Nov 3 16:32:22 2006 +0000

    Bump to 1.2.3

commit 1edecc1a72cf1e53a2800e2941cb3b49b9b7f97d
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Wed Oct 18 14:14:58 2006 +0100

    Remove spurious line that stops blit's from working.

commit 843d6f21c5d9ad1513ddd90c95d0aa460a2db9d7
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 18:46:16 2006 -0400

    Bump to 1.2.2

commit 85e4ed8ab4baf6b581ad4e94bd776ff17e71e4ed
Author: Jesse Barnes <jbarnes@nietzche.virtuousgeek.org>
Date:   Sat Sep 9 11:06:31 2006 -0700

    use EXA_TWO_BITBLT_DIRECTIONS flag and remove PrepareCopy direction
    check.  This makes blits *much* faster in negative directions.

commit 6617fece6a6174daf7cb98d2d2d3c7d5bbc5c574
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 8 01:51:12 2006 +0000

    Bump to 1.2.1 for Xv changes.

commit d9b3680a0ef046a18cb1c910f214336ab764d2ed
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 7 23:16:26 2006 +0000

    Add a DrawablePtr argument to the XV functions to pave the way for
        redirected video.

commit d878eb3c01ccc360d62f6522c7c4a1f490d8649d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 21:42:44 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.2.0.

commit ecee33947792c55f983061b3895da2c656a04047
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 00:44:13 2006 +0000

    Woops, wrong size.

commit 5aeb4912aa94eae64e6149e9d9a32b01a8abc18b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 00:43:10 2006 +0000

    Coverity #500: Size the tridentRegsClock array properly.

commit b5eea84af30f5086ba0151453ed15df1fca507b2
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Tue Mar 14 20:09:04 2006 +0000

    Change virtualX to displayWidth (caught by Eric Anholt)

commit 2466da4f51142d78bd27fdc719bfed11cbb68a0d
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Mon Mar 13 10:33:34 2006 +0000

    EXA fixups for version 2 Add missing break statement which confused XP4 &
        XP5. Force 128MB XP5 to 64MB for now.

commit 1ed618844c23dab7e06ac3ce01d73617f2641e0e
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Mar 9 06:06:25 2006 +0000

    Update drivers that support EXA for the new EXA ABI. This consists of
        moving all the accel and card members into the driver ptr, filling in
        the exa_major/ exa_minor fields, and always using LoadSubModule so we
        can check the module version up front. Only tested on ATI.

commit e7d93a288892226e2c9c1627d3afd788469b174d
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Sat Feb 25 19:03:36 2006 +0000

    Do some cleanups that I should have done before sending the last checkin to
        Alan: o remove old reference to blade_accel.c filename o remove
        unused/broken functions o remove unused/broken clipping code o add TODO
        list

commit 825af17a87365d7f9c5b1fa5f9b8177cf92e3163
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Tue Feb 21 04:27:00 2006 +0000

    Add XAA & EXA Acceleration for XP4 & XP5 Chipsets Add EXA Acceleration for
        Blade chipsets (Jesse Barnes)

commit 068a2240b0c8ac63820985002b5d3b154a24c463
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Wed Feb 1 14:55:03 2006 +0000

    Commit patch from https://bugs.freedesktop.org/show_bug.cgi?id=2785 i.e.
        detect 1400x1050 panels from DDC information and a few other fixes for
        BladeXP chipsets - notably the Toshiba Tecra 8200.

commit 6739dd1c974625ae63561de2e494d0a0bb3d895d
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Fri Jan 27 17:14:03 2006 +0000

    Add XGI (aka Trident) Volari XP5 support

commit 27df712a78be57213c6b91a648c186b7cfa461ac
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:04 2005 +0000

    Update package version for X11R7 release.

commit 753a160e390a61da137bb3bff5beacaa6414f92e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:56 2005 +0000

    Stub COPYING files

commit 2a9397020d713f53d464d5513812f500c08e1655
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:20 2005 +0000

    Update package version number for final X11R7 release candidate.

commit aa8f600b9e02e786356e26ddc4af2928be936d8a
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:40 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit d40a0c982958f0d32b8a11276b6741f873aedeb8
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:36 2005 +0000

    Update package version number for X11R7 RC3 release.

commit c43a2acb6995c8f3aedf73a5419b5aed6006193a
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:45:18 2005 +0000

    Bump version numbers for X11R6.9/X11R7 RC3.

commit 331dac68fb455f3b2ad8ddd4efd59a84704ce2e6
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:11 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 3d66357efafa876b8036d739ccf54f9d997760ca
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Dec 1 01:37:42 2005 +0000

    Compile fix, since OUTW isn't a safe macro

commit 0870b14cfdccfa47cb603bd23b2272276cde53b4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:30:05 2005 +0000

    Only build dlloader modules by default.

commit 8245e3754d921a620a498f49e108b7433a7999bf
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Tue Nov 29 17:18:50 2005 +0000

    //bugs.freedesktop.org/show_bug.cgi?id=736> Fix offset for later generation
        trident chipsets so that Xv data is correctly grabbed from video
        memory. Spotted by Guy Martin.
    (approved by Kevin Martin)

commit e9643d544856afd1925dcdeb77d0f0541115f19f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:14 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit be089d215a4424693ec240482c658eec4c6d1be0
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:21 2005 +0000

    Add .cvsignores for drivers.

commit 9dccb166ecbcc58c3563e99d8654d5755d8d9e79
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 15 05:42:03 2005 +0000

    Add check for DGA extension to fix issues when building with separate build
        roots.

commit 34377e19400ec8b34a66438bd24409bf8f8f82db
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:22 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 6b9d32a6c377b7c1d3f790e379bffb56644be361
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:55 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 14263d324598799d2fd8c307ae9a228c7bb2a08d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:05 2005 +0000

    Update package version number for RC1 release.

commit 68ef79091467d2287745ecc80c8c3ae48f76e920
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:55 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 88ec6f377e6e098c1a487acb73372535f2079794
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:37 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit c498235210cce08ee9021d6521cdd6be19fd603f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:07 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit c00fe1ecce1ec1ccca1b80531e2f6b6e6f799767
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:53 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 7b056454e1e40dc2cc4ca237371c9c820cd464a0
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:45 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 5fdfb936dda1156237851a66a935ca40e4b07788
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 26 23:50:00 2005 +0000

    Build system for trident

commit 0dfd8e6118bb19e35fa25be17e6e91a0fbe8ce1a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:30:06 2005 +0000

    Prep for modular builds by adding guarded #include "config.h" everywhere.

commit 6c6da4fe83dd3adfacfba9f8b33d7c527431714f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:16:57 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit e7c8c6f3ecee5c98b71d0ae67e903ee53b3f8b10
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:32 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 9d25428e100e5c1ea50f0b9637876c866faab5bb
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Feb 25 16:38:34 2005 +0000

    Bug #2605: Make the cyrix, dummy, glint, neomagic, tga, and trident drivers
        build when BuildXF86DGA NO.
    (also fix some datestamps in the changelog)

commit 95ade3acbaa6686fb359c5f947bd00f1d5779829
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 20 00:55:44 2004 +0000

    Bug #1202: Remove long-broken 1bpp and 4bpp support from trident driver.
        (Jakub Stachowski)

commit 7d9d969e5d284bc11facfe73eaee836d389dc85d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Sep 17 03:04:54 2004 +0000

    Bug #1192: Remove cfb support from drivers where its use is an option.
        Delete xf24_32bpp, as s3virge was the last user. Fix up some comments
        to refer to fb rather than cfb.

commit c9a8d5c10c790bef0679584b5d76afcdb01e260d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Aug 16 09:13:15 2004 +0000

    Bug #1087: Make sure all the *Weak symbols are documented in the import
        list, so the loader knows not to complain about unresolved symbols when
        an optional module isn't loaded. This typically manifests as warnings
        about fbdevHW symbols when the user isn't using the framebuffer
        console.

commit 7d4c57a4c86634e15fb3cacdcb5fe93f88623b4f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Aug 3 02:44:21 2004 +0000

    Bug #962: Remove LoaderSymbol calls introduced by the dlloader work so
        DoLoadableServer NO builds work again.

commit c0aee253f74df4289f9d8925ce51caa08f2b527e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jul 30 20:30:55 2004 +0000

    Bug #400 (partial): Driver fixes for the dlloader. When using dlloader, all
        framebuffer formats except cfb and the overlay modes should work, and
        r128 and radeon need to be loaded from the ati driver (both issues to
        be fixed soon). Tested on i740, s3virge, mach64, tdfx, vesa, and vga
        drivers. elfloader users shouldn't be affected.

commit 488e064bbfccce86583e7f2ad994cdcb4956c272
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:24:06 2004 +0000

    DRI XFree86-4_3_99_12-merge import

commit 01ae1f06e3aff1a0f644d6c42d590a5c1ef35965
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:52:01 2004 +0000

    Merging XORG-CURRENT into trunk

commit c294354b1420e28868d8c1904754fe18f1fba944
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:40 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit c8db80d030c7981b2177dd25f0124ffbd606fa18
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:27 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 5146cc7c6cff956fdba8ffed48a72d409ec91690
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:55 2004 +0000

    readding XFree86's cvs IDs

commit 7e2ec0695673eddc1ed629f76e0ff30b521d5aba
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:28 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 3a39b4ff86bb55ee763dcf6da12c1ad3d410a2db
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:08:41 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit 03cfac30d2a93d40779725b97be0dfa3d3ba33f2
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:43 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit a43c68bc5bc9cf42193a8aca56a1faa5d00392b4
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:43 2003 +0000

    Initial revision

commit 05cd400034a85d1dcb6956cece5079f79376becf
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    XFree86 4.3.0.1

commit b1d44d56b82021cf73fb3449faa9ddc4efd72a87
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    Initial revision
